tests: strip o/s-dependent error messages from some http tests
authorJohn Coomes <john.coomes@sun.com>
Fri, 27 Feb 2009 17:28:26 -0800
changeset 7903 490e40816cbd
parent 7902 afddc32b2b3f
child 7904 fef5f3ef84c4
child 7919 3e6206967570
tests: strip o/s-dependent error messages from some http tests
tests/test-bad-pull
tests/test-bad-pull.out
tests/test-http-proxy
tests/test-http-proxy.out
tests/test-static-http
tests/test-static-http.out
--- a/tests/test-bad-pull	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-bad-pull	Fri Feb 27 17:28:26 2009 -0800
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-hg clone http://localhost:$HGPORT/ copy
-echo $?
+{ hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
+	sed 's/error:.*/error:/'
 test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
@@ -23,8 +23,7 @@
 # give the server some time to start running
 sleep 1
 
-http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1 | \
+{ http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1; echo $?; } | \
     sed -e 's/404.*/404/' -e 's/Date:.*/Date:/'
-echo $?
 
 kill $!
--- a/tests/test-bad-pull.out	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-bad-pull.out	Fri Feb 27 17:28:26 2009 -0800
@@ -1,5 +1,5 @@
-abort: error: Connection refused
+abort: error:
 255
 copy: No such file or directory
 abort: HTTP Error 404
-0
+255
--- a/tests/test-http-proxy	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-http-proxy	Fri Feb 27 17:28:26 2009 -0800
@@ -36,7 +36,8 @@
 http_proxy=http://user:passwd@localhost:$HGPORT1 hg clone --config http_proxy.always=True http://user:passwd@localhost:$HGPORT/ e
 
 echo %% bad host:port for proxy
-http_proxy=localhost:$HGPORT2 hg clone --config http_proxy.always=True http://localhost:$HGPORT/ f
+http_proxy=localhost:$HGPORT2 hg clone --config http_proxy.always=True http://localhost:$HGPORT/ f 2>&1 | \
+	sed 's/error:.*/error:/'
 
 echo %% do not use the proxy if it is in the no list
 http_proxy=localhost:$HGPORT1 hg clone --config http_proxy.no=localhost http://localhost:$HGPORT/ g
--- a/tests/test-http-proxy.out	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-http-proxy.out	Fri Feb 27 17:28:26 2009 -0800
@@ -48,7 +48,7 @@
 updating working directory
 1 files updated, 0 files merged, 0 files removed, 0 files unresolved
 %% bad host:port for proxy
-abort: error: Connection refused
+abort: error:
 %% do not use the proxy if it is in the no list
 requesting all changes
 adding changesets
--- a/tests/test-static-http	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-static-http	Fri Feb 27 17:28:26 2009 -0800
@@ -2,8 +2,8 @@
 
 cp "$TESTDIR"/printenv.py .
 
-http_proxy= hg clone http://localhost:$HGPORT/ copy
-echo $?
+{ http_proxy= hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
+	sed 's/error:.*/error:/'
 test -d copy || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
--- a/tests/test-static-http.out	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-static-http.out	Fri Feb 27 17:28:26 2009 -0800
@@ -1,4 +1,4 @@
-abort: error: Connection refused
+abort: error:
 255
 copy: No such file or directory
 changeset:   0:53e17d176ae6